diff --git a/graphics/okular/pkg-plist b/graphics/okular/pkg-plist
index 0d37f32b55ad..4d55b3e1710d 100644
--- a/graphics/okular/pkg-plist
+++ b/graphics/okular/pkg-plist
@@ -727,21 +662,21 @@ share/locale/lv/LC_MESSAGES/okular_fax.mo
 share/locale/lv/LC_MESSAGES/okular_fictionbook.mo
 share/locale/lv/LC_MESSAGES/okular_ghostview.mo
 share/locale/lv/LC_MESSAGES/okular_kimgio.mo
+share/locale/lv/LC_MESSAGES/okular_markdown.mo
 share/locale/lv/LC_MESSAGES/okular_mobi.mo
-share/locale/lv/LC_MESSAGES/okular_plucker.mo
 share/locale/lv/LC_MESSAGES/okular_poppler.mo
+share/locale/lv/LC_MESSAGES/okular_tiff.mo
+share/locale/lv/LC_MESSAGES/okular_txt.mo
 share/locale/lv/LC_MESSAGES/okular_xps.mo
+share/locale/lv/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/mk/LC_MESSAGES/okular.mo
-share/locale/mk/LC_MESSAGES/okular_chm.mo
 share/locale/mk/LC_MESSAGES/okular_djvu.mo
 share/locale/mk/LC_MESSAGES/okular_fictionbook.mo
 share/locale/mk/LC_MESSAGES/okular_ghostview.mo
 share/locale/mk/LC_MESSAGES/okular_kimgio.mo
-share/locale/mk/LC_MESSAGES/okular_plucker.mo
 share/locale/mk/LC_MESSAGES/okular_poppler.mo
 share/locale/mk/LC_MESSAGES/okular_xps.mo
 share/locale/ml/LC_MESSAGES/okular.mo
-share/locale/ml/LC_MESSAGES/okular_chm.mo
 share/locale/ml/LC_MESSAGES/okular_comicbook.mo
 share/locale/ml/LC_MESSAGES/okular_djvu.mo
 share/locale/ml/LC_MESSAGES/okular_dvi.mo
@@ -752,13 +687,11 @@ share/locale/ml/LC_MESSAGES/okular_ghostview.mo
 share/locale/ml/LC_MESSAGES/okular_kimgio.mo
 share/locale/ml/LC_MESSAGES/okular_markdown.mo
 share/locale/ml/LC_MESSAGES/okular_mobi.mo
-share/locale/ml/LC_MESSAGES/okular_plucker.mo
 share/locale/ml/LC_MESSAGES/okular_poppler.mo
 share/locale/ml/LC_MESSAGES/okular_txt.mo
 share/locale/ml/LC_MESSAGES/okular_xps.mo
 share/locale/ml/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/mr/LC_MESSAGES/okular.mo
-share/locale/mr/LC_MESSAGES/okular_chm.mo
 share/locale/mr/LC_MESSAGES/okular_comicbook.mo
 share/locale/mr/LC_MESSAGES/okular_djvu.mo
 share/locale/mr/LC_MESSAGES/okular_dvi.mo
@@ -768,13 +701,11 @@ share/locale/mr/LC_MESSAGES/okular_fictionbook.mo
 share/locale/mr/LC_MESSAGES/okular_ghostview.mo
 share/locale/mr/LC_MESSAGES/okular_kimgio.mo
 share/locale/mr/LC_MESSAGES/okular_mobi.mo
-share/locale/mr/LC_MESSAGES/okular_plucker.mo
 share/locale/mr/LC_MESSAGES/okular_poppler.mo
 share/locale/mr/LC_MESSAGES/okular_xps.mo
 share/locale/mr/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/ms/LC_MESSAGES/okular.mo
 share/locale/nb/LC_MESSAGES/okular.mo
-share/locale/nb/LC_MESSAGES/okular_chm.mo
 share/locale/nb/LC_MESSAGES/okular_comicbook.mo
 share/locale/nb/LC_MESSAGES/okular_djvu.mo
 share/locale/nb/LC_MESSAGES/okular_dvi.mo
@@ -784,13 +715,11 @@ share/locale/nb/LC_MESSAGES/okular_fictionbook.mo
 share/locale/nb/LC_MESSAGES/okular_ghostview.mo
 share/locale/nb/LC_MESSAGES/okular_kimgio.mo
 share/locale/nb/LC_MESSAGES/okular_mobi.mo
-share/locale/nb/LC_MESSAGES/okular_plucker.mo
 share/locale/nb/LC_MESSAGES/okular_poppler.mo
 share/locale/nb/LC_MESSAGES/okular_txt.mo
 share/locale/nb/LC_MESSAGES/okular_xps.mo
 share/locale/nb/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/nds/LC_MESSAGES/okular.mo
-share/locale/nds/LC_MESSAGES/okular_chm.mo
 share/locale/nds/LC_MESSAGES/okular_comicbook.mo
 share/locale/nds/LC_MESSAGES/okular_djvu.mo
 share/locale/nds/LC_MESSAGES/okular_dvi.mo
@@ -800,14 +729,12 @@ share/locale/nds/LC_MESSAGES/okular_fictionbook.mo
 share/locale/nds/LC_MESSAGES/okular_ghostview.mo
 share/locale/nds/LC_MESSAGES/okular_kimgio.mo
 share/locale/nds/LC_MESSAGES/okular_mobi.mo
-share/locale/nds/LC_MESSAGES/okular_plucker.mo
 share/locale/nds/LC_MESSAGES/okular_poppler.mo
 share/locale/nds/LC_MESSAGES/okular_txt.mo
 share/locale/nds/LC_MESSAGES/okular_xps.mo
 share/locale/nds/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/ne/LC_MESSAGES/okular.mo
 share/locale/nl/LC_MESSAGES/okular.mo
-share/locale/nl/LC_MESSAGES/okular_chm.mo
 share/locale/nl/LC_MESSAGES/okular_comicbook.mo
 share/locale/nl/LC_MESSAGES/okular_djvu.mo
 share/locale/nl/LC_MESSAGES/okular_dvi.mo
@@ -818,14 +745,12 @@ share/locale/nl/LC_MESSAGES/okular_ghostview.mo
 share/locale/nl/LC_MESSAGES/okular_kimgio.mo
 share/locale/nl/LC_MESSAGES/okular_markdown.mo
 share/locale/nl/LC_MESSAGES/okular_mobi.mo
-share/locale/nl/LC_MESSAGES/okular_plucker.mo
 share/locale/nl/LC_MESSAGES/okular_poppler.mo
 share/locale/nl/LC_MESSAGES/okular_tiff.mo
 share/locale/nl/LC_MESSAGES/okular_txt.mo
 share/locale/nl/LC_MESSAGES/okular_xps.mo
 share/locale/nl/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/nn/LC_MESSAGES/okular.mo
-share/locale/nn/LC_MESSAGES/okular_chm.mo
 share/locale/nn/LC_MESSAGES/okular_comicbook.mo
 share/locale/nn/LC_MESSAGES/okular_djvu.mo
 share/locale/nn/LC_MESSAGES/okular_dvi.mo
@@ -836,24 +761,20 @@ share/locale/nn/LC_MESSAGES/okular_ghostview.mo
 share/locale/nn/LC_MESSAGES/okular_kimgio.mo
 share/locale/nn/LC_MESSAGES/okular_markdown.mo
 share/locale/nn/LC_MESSAGES/okular_mobi.mo
-share/locale/nn/LC_MESSAGES/okular_plucker.mo
 share/locale/nn/LC_MESSAGES/okular_poppler.mo
 share/locale/nn/LC_MESSAGES/okular_tiff.mo
 share/locale/nn/LC_MESSAGES/okular_txt.mo
 share/locale/nn/LC_MESSAGES/okular_xps.mo
 share/locale/nn/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/oc/LC_MESSAGES/okular.mo
-share/locale/oc/LC_MESSAGES/okular_chm.mo
 share/locale/oc/LC_MESSAGES/okular_djvu.mo
 share/locale/oc/LC_MESSAGES/okular_dvi.mo
 share/locale/oc/LC_MESSAGES/okular_fictionbook.mo
 share/locale/oc/LC_MESSAGES/okular_ghostview.mo
 share/locale/oc/LC_MESSAGES/okular_kimgio.mo
-share/locale/oc/LC_MESSAGES/okular_plucker.mo
 share/locale/oc/LC_MESSAGES/okular_poppler.mo
 share/locale/oc/LC_MESSAGES/okular_xps.mo
 share/locale/pa/LC_MESSAGES/okular.mo
-share/locale/pa/LC_MESSAGES/okular_chm.mo
 share/locale/pa/LC_MESSAGES/okular_comicbook.mo
 share/locale/pa/LC_MESSAGES/okular_djvu.mo
 share/locale/pa/LC_MESSAGES/okular_dvi.mo
@@ -863,13 +784,11 @@ share/locale/pa/LC_MESSAGES/okular_fictionbook.mo
 share/locale/pa/LC_MESSAGES/okular_ghostview.mo
 share/locale/pa/LC_MESSAGES/okular_kimgio.mo
 share/locale/pa/LC_MESSAGES/okular_mobi.mo
-share/locale/pa/LC_MESSAGES/okular_plucker.mo
 share/locale/pa/LC_MESSAGES/okular_poppler.mo
 share/locale/pa/LC_MESSAGES/okular_txt.mo
 share/locale/pa/LC_MESSAGES/okular_xps.mo
 share/locale/pa/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/pl/LC_MESSAGES/okular.mo
-share/locale/pl/LC_MESSAGES/okular_chm.mo
 share/locale/pl/LC_MESSAGES/okular_comicbook.mo
 share/locale/pl/LC_MESSAGES/okular_djvu.mo
 share/locale/pl/LC_MESSAGES/okular_dvi.mo
@@ -880,14 +799,12 @@ share/locale/pl/LC_MESSAGES/okular_ghostview.mo
 share/locale/pl/LC_MESSAGES/okular_kimgio.mo
 share/locale/pl/LC_MESSAGES/okular_markdown.mo
 share/locale/pl/LC_MESSAGES/okular_mobi.mo
-share/locale/pl/LC_MESSAGES/okular_plucker.mo
 share/locale/pl/LC_MESSAGES/okular_poppler.mo
 share/locale/pl/LC_MESSAGES/okular_tiff.mo
 share/locale/pl/LC_MESSAGES/okular_txt.mo
 share/locale/pl/LC_MESSAGES/okular_xps.mo
 share/locale/pl/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/pt/LC_MESSAGES/okular.mo
-share/locale/pt/LC_MESSAGES/okular_chm.mo
 share/locale/pt/LC_MESSAGES/okular_comicbook.mo
 share/locale/pt/LC_MESSAGES/okular_djvu.mo
 share/locale/pt/LC_MESSAGES/okular_dvi.mo
@@ -898,14 +815,12 @@ share/locale/pt/LC_MESSAGES/okular_ghostview.mo
 share/locale/pt/LC_MESSAGES/okular_kimgio.mo
 share/locale/pt/LC_MESSAGES/okular_markdown.mo
 share/locale/pt/LC_MESSAGES/okular_mobi.mo
-share/locale/pt/LC_MESSAGES/okular_plucker.mo
 share/locale/pt/LC_MESSAGES/okular_poppler.mo
 share/locale/pt/LC_MESSAGES/okular_tiff.mo
 share/locale/pt/LC_MESSAGES/okular_txt.mo
 share/locale/pt/LC_MESSAGES/okular_xps.mo
 share/locale/pt/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/pt_BR/LC_MESSAGES/okular.mo
-share/locale/pt_BR/LC_MESSAGES/okular_chm.mo
 share/locale/pt_BR/LC_MESSAGES/okular_comicbook.mo
 share/locale/pt_BR/LC_MESSAGES/okular_djvu.mo
 share/locale/pt_BR/LC_MESSAGES/okular_dvi.mo
@@ -916,14 +831,12 @@ share/locale/pt_BR/LC_MESSAGES/okular_ghostview.mo
 share/locale/pt_BR/LC_MESSAGES/okular_kimgio.mo
 share/locale/pt_BR/LC_MESSAGES/okular_markdown.mo
 share/locale/pt_BR/LC_MESSAGES/okular_mobi.mo
-share/locale/pt_BR/LC_MESSAGES/okular_plucker.mo
 share/locale/pt_BR/LC_MESSAGES/okular_poppler.mo
 share/locale/pt_BR/LC_MESSAGES/okular_tiff.mo
 share/locale/pt_BR/LC_MESSAGES/okular_txt.mo
 share/locale/pt_BR/LC_MESSAGES/okular_xps.mo
 share/locale/pt_BR/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/ro/LC_MESSAGES/okular.mo
-share/locale/ro/LC_MESSAGES/okular_chm.mo
 share/locale/ro/LC_MESSAGES/okular_comicbook.mo
 share/locale/ro/LC_MESSAGES/okular_djvu.mo
 share/locale/ro/LC_MESSAGES/okular_dvi.mo
@@ -934,14 +847,12 @@ share/locale/ro/LC_MESSAGES/okular_ghostview.mo
 share/locale/ro/LC_MESSAGES/okular_kimgio.mo
 share/locale/ro/LC_MESSAGES/okular_markdown.mo
 share/locale/ro/LC_MESSAGES/okular_mobi.mo
-share/locale/ro/LC_MESSAGES/okular_plucker.mo
 share/locale/ro/LC_MESSAGES/okular_poppler.mo
 share/locale/ro/LC_MESSAGES/okular_tiff.mo
 share/locale/ro/LC_MESSAGES/okular_txt.mo
 share/locale/ro/LC_MESSAGES/okular_xps.mo
 share/locale/ro/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/ru/LC_MESSAGES/okular.mo
-share/locale/ru/LC_MESSAGES/okular_chm.mo
 share/locale/ru/LC_MESSAGES/okular_comicbook.mo
 share/locale/ru/LC_MESSAGES/okular_djvu.mo
 share/locale/ru/LC_MESSAGES/okular_dvi.mo
@@ -952,24 +863,20 @@ share/locale/ru/LC_MESSAGES/okular_ghostview.mo
 share/locale/ru/LC_MESSAGES/okular_kimgio.mo
 share/locale/ru/LC_MESSAGES/okular_markdown.mo
 share/locale/ru/LC_MESSAGES/okular_mobi.mo
-share/locale/ru/LC_MESSAGES/okular_plucker.mo
 share/locale/ru/LC_MESSAGES/okular_poppler.mo
 share/locale/ru/LC_MESSAGES/okular_tiff.mo
 share/locale/ru/LC_MESSAGES/okular_txt.mo
 share/locale/ru/LC_MESSAGES/okular_xps.mo
 share/locale/ru/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/se/LC_MESSAGES/okular.mo
-share/locale/se/LC_MESSAGES/okular_chm.mo
 share/locale/se/LC_MESSAGES/okular_djvu.mo
 share/locale/se/LC_MESSAGES/okular_dvi.mo
 share/locale/se/LC_MESSAGES/okular_fictionbook.mo
 share/locale/se/LC_MESSAGES/okular_ghostview.mo
 share/locale/se/LC_MESSAGES/okular_kimgio.mo
-share/locale/se/LC_MESSAGES/okular_plucker.mo
 share/locale/se/LC_MESSAGES/okular_poppler.mo
 share/locale/se/LC_MESSAGES/okular_xps.mo
 share/locale/si/LC_MESSAGES/okular.mo
-share/locale/si/LC_MESSAGES/okular_chm.mo
 share/locale/si/LC_MESSAGES/okular_comicbook.mo
 share/locale/si/LC_MESSAGES/okular_djvu.mo
 share/locale/si/LC_MESSAGES/okular_dvi.mo
@@ -979,11 +886,9 @@ share/locale/si/LC_MESSAGES/okular_fictionbook.mo
 share/locale/si/LC_MESSAGES/okular_ghostview.mo
 share/locale/si/LC_MESSAGES/okular_kimgio.mo
 share/locale/si/LC_MESSAGES/okular_mobi.mo
-share/locale/si/LC_MESSAGES/okular_plucker.mo
 share/locale/si/LC_MESSAGES/okular_poppler.mo
 share/locale/si/LC_MESSAGES/okular_xps.mo
 share/locale/sk/LC_MESSAGES/okular.mo
-share/locale/sk/LC_MESSAGES/okular_chm.mo
 share/locale/sk/LC_MESSAGES/okular_comicbook.mo
 share/locale/sk/LC_MESSAGES/okular_djvu.mo
 share/locale/sk/LC_MESSAGES/okular_dvi.mo
@@ -994,14 +899,12 @@ share/locale/sk/LC_MESSAGES/okular_ghostview.mo
 share/locale/sk/LC_MESSAGES/okular_kimgio.mo
 share/locale/sk/LC_MESSAGES/okular_markdown.mo
 share/locale/sk/LC_MESSAGES/okular_mobi.mo
-share/locale/sk/LC_MESSAGES/okular_plucker.mo
 share/locale/sk/LC_MESSAGES/okular_poppler.mo
 share/locale/sk/LC_MESSAGES/okular_tiff.mo
 share/locale/sk/LC_MESSAGES/okular_txt.mo
 share/locale/sk/LC_MESSAGES/okular_xps.mo
 share/locale/sk/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/sl/LC_MESSAGES/okular.mo
-share/locale/sl/LC_MESSAGES/okular_chm.mo
 share/locale/sl/LC_MESSAGES/okular_comicbook.mo
 share/locale/sl/LC_MESSAGES/okular_djvu.mo
 share/locale/sl/LC_MESSAGES/okular_dvi.mo
@@ -1012,13 +915,11 @@ share/locale/sl/LC_MESSAGES/okular_ghostview.mo
 share/locale/sl/LC_MESSAGES/okular_kimgio.mo
 share/locale/sl/LC_MESSAGES/okular_markdown.mo
 share/locale/sl/LC_MESSAGES/okular_mobi.mo
-share/locale/sl/LC_MESSAGES/okular_plucker.mo
 share/locale/sl/LC_MESSAGES/okular_poppler.mo
 share/locale/sl/LC_MESSAGES/okular_tiff.mo
 share/locale/sl/LC_MESSAGES/okular_txt.mo
 share/locale/sl/LC_MESSAGES/okular_xps.mo
 share/locale/sl/LC_MESSAGES/org.kde.active.documentviewer.mo
-share/locale/sq/LC_MESSAGES/okular_chm.mo
 share/locale/sq/LC_MESSAGES/okular_comicbook.mo
 share/locale/sq/LC_MESSAGES/okular_djvu.mo
 share/locale/sq/LC_MESSAGES/okular_dvi.mo
@@ -1028,11 +929,9 @@ share/locale/sq/LC_MESSAGES/okular_fictionbook.mo
 share/locale/sq/LC_MESSAGES/okular_ghostview.mo
 share/locale/sq/LC_MESSAGES/okular_kimgio.mo
 share/locale/sq/LC_MESSAGES/okular_mobi.mo
-share/locale/sq/LC_MESSAGES/okular_plucker.mo
 share/locale/sq/LC_MESSAGES/okular_poppler.mo
 share/locale/sq/LC_MESSAGES/okular_xps.mo
 share/locale/sr/LC_MESSAGES/okular.mo
-share/locale/sr/LC_MESSAGES/okular_chm.mo
 share/locale/sr/LC_MESSAGES/okular_comicbook.mo
 share/locale/sr/LC_MESSAGES/okular_djvu.mo
 share/locale/sr/LC_MESSAGES/okular_dvi.mo
@@ -1043,12 +942,10 @@ share/locale/sr/LC_MESSAGES/okular_ghostview.mo
 share/locale/sr/LC_MESSAGES/okular_kimgio.mo
 share/locale/sr/LC_MESSAGES/okular_markdown.mo
 share/locale/sr/LC_MESSAGES/okular_mobi.mo
-share/locale/sr/LC_MESSAGES/okular_plucker.mo
 share/locale/sr/LC_MESSAGES/okular_poppler.mo
 share/locale/sr/LC_MESSAGES/okular_txt.mo
 share/locale/sr/LC_MESSAGES/okular_xps.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular.mo
-share/locale/sr@ijekavian/LC_MESSAGES/okular_chm.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_comicbook.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_djvu.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_dvi.mo
@@ -1059,12 +956,10 @@ share/locale/sr@ijekavian/LC_MESSAGES/okular_ghostview.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_kimgio.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_markdown.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_mobi.mo
-share/locale/sr@ijekavian/LC_MESSAGES/okular_plucker.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_poppler.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_txt.mo
 share/locale/sr@ijekavian/LC_MESSAGES/okular_xps.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_chm.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_comicbook.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_djvu.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_dvi.mo
@@ -1075,12 +970,10 @@ share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_ghostview.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_kimgio.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_markdown.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_mobi.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_plucker.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_poppler.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_txt.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/okular_xps.mo
 share/locale/sr@latin/LC_MESSAGES/okular.mo
-share/locale/sr@latin/LC_MESSAGES/okular_chm.mo
 share/locale/sr@latin/LC_MESSAGES/okular_comicbook.mo
 share/locale/sr@latin/LC_MESSAGES/okular_djvu.mo
 share/locale/sr@latin/LC_MESSAGES/okular_dvi.mo
@@ -1091,12 +984,10 @@ share/locale/sr@latin/LC_MESSAGES/okular_ghostview.mo
 share/locale/sr@latin/LC_MESSAGES/okular_kimgio.mo
 share/locale/sr@latin/LC_MESSAGES/okular_markdown.mo
 share/locale/sr@latin/LC_MESSAGES/okular_mobi.mo
-share/locale/sr@latin/LC_MESSAGES/okular_plucker.mo
 share/locale/sr@latin/LC_MESSAGES/okular_poppler.mo
 share/locale/sr@latin/LC_MESSAGES/okular_txt.mo
 share/locale/sr@latin/LC_MESSAGES/okular_xps.mo
 share/locale/sv/LC_MESSAGES/okular.mo
-share/locale/sv/LC_MESSAGES/okular_chm.mo
 share/locale/sv/LC_MESSAGES/okular_comicbook.mo
 share/locale/sv/LC_MESSAGES/okular_djvu.mo
 share/locale/sv/LC_MESSAGES/okular_dvi.mo
@@ -1107,7 +998,6 @@ share/locale/sv/LC_MESSAGES/okular_ghostview.mo
 share/locale/sv/LC_MESSAGES/okular_kimgio.mo
 share/locale/sv/LC_MESSAGES/okular_markdown.mo
 share/locale/sv/LC_MESSAGES/okular_mobi.mo
-share/locale/sv/LC_MESSAGES/okular_plucker.mo
 share/locale/sv/LC_MESSAGES/okular_poppler.mo
 share/locale/sv/LC_MESSAGES/okular_tiff.mo
 share/locale/sv/LC_MESSAGES/okular_txt.mo
@@ -1121,7 +1011,6 @@ share/locale/ta/LC_MESSAGES/okular_fictionbook.mo
 share/locale/ta/LC_MESSAGES/okular_ghostview.mo
 share/locale/ta/LC_MESSAGES/okular_kimgio.mo
 share/locale/ta/LC_MESSAGES/okular_markdown.mo
-share/locale/ta/LC_MESSAGES/okular_plucker.mo
 share/locale/ta/LC_MESSAGES/okular_poppler.mo
 share/locale/ta/LC_MESSAGES/okular_tiff.mo
 share/locale/ta/LC_MESSAGES/okular_txt.mo
@@ -1129,7 +1018,6 @@ share/locale/ta/LC_MESSAGES/okular_xps.mo
 share/locale/ta/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/tg/LC_MESSAGES/okular.mo
 share/locale/th/LC_MESSAGES/okular.mo
-share/locale/th/LC_MESSAGES/okular_chm.mo
 share/locale/th/LC_MESSAGES/okular_comicbook.mo
 share/locale/th/LC_MESSAGES/okular_djvu.mo
 share/locale/th/LC_MESSAGES/okular_dvi.mo
@@ -1139,11 +1027,9 @@ share/locale/th/LC_MESSAGES/okular_fictionbook.mo
 share/locale/th/LC_MESSAGES/okular_ghostview.mo
 share/locale/th/LC_MESSAGES/okular_kimgio.mo
 share/locale/th/LC_MESSAGES/okular_mobi.mo
-share/locale/th/LC_MESSAGES/okular_plucker.mo
 share/locale/th/LC_MESSAGES/okular_poppler.mo
 share/locale/th/LC_MESSAGES/okular_xps.mo
 share/locale/tr/LC_MESSAGES/okular.mo
-share/locale/tr/LC_MESSAGES/okular_chm.mo
 share/locale/tr/LC_MESSAGES/okular_comicbook.mo
 share/locale/tr/LC_MESSAGES/okular_djvu.mo
 share/locale/tr/LC_MESSAGES/okular_dvi.mo
@@ -1154,14 +1040,12 @@ share/locale/tr/LC_MESSAGES/okular_ghostview.mo
 share/locale/tr/LC_MESSAGES/okular_kimgio.mo
 share/locale/tr/LC_MESSAGES/okular_markdown.mo
 share/locale/tr/LC_MESSAGES/okular_mobi.mo
-share/locale/tr/LC_MESSAGES/okular_plucker.mo
 share/locale/tr/LC_MESSAGES/okular_poppler.mo
 share/locale/tr/LC_MESSAGES/okular_tiff.mo
 share/locale/tr/LC_MESSAGES/okular_txt.mo
 share/locale/tr/LC_MESSAGES/okular_xps.mo
 share/locale/tr/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/ug/LC_MESSAGES/okular.mo
-share/locale/ug/LC_MESSAGES/okular_chm.mo
 share/locale/ug/LC_MESSAGES/okular_comicbook.mo
 share/locale/ug/LC_MESSAGES/okular_djvu.mo
 share/locale/ug/LC_MESSAGES/okular_dvi.mo
@@ -1171,13 +1055,11 @@ share/locale/ug/LC_MESSAGES/okular_fictionbook.mo
 share/locale/ug/LC_MESSAGES/okular_ghostview.mo
 share/locale/ug/LC_MESSAGES/okular_kimgio.mo
 share/locale/ug/LC_MESSAGES/okular_mobi.mo
-share/locale/ug/LC_MESSAGES/okular_plucker.mo
 share/locale/ug/LC_MESSAGES/okular_poppler.mo
 share/locale/ug/LC_MESSAGES/okular_txt.mo
 share/locale/ug/LC_MESSAGES/okular_xps.mo
 share/locale/ug/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/uk/LC_MESSAGES/okular.mo
-share/locale/uk/LC_MESSAGES/okular_chm.mo
 share/locale/uk/LC_MESSAGES/okular_comicbook.mo
 share/locale/uk/LC_MESSAGES/okular_djvu.mo
 share/locale/uk/LC_MESSAGES/okular_dvi.mo
@@ -1188,14 +1070,12 @@ share/locale/uk/LC_MESSAGES/okular_ghostview.mo
 share/locale/uk/LC_MESSAGES/okular_kimgio.mo
 share/locale/uk/LC_MESSAGES/okular_markdown.mo
 share/locale/uk/LC_MESSAGES/okular_mobi.mo
-share/locale/uk/LC_MESSAGES/okular_plucker.mo
 share/locale/uk/LC_MESSAGES/okular_poppler.mo
 share/locale/uk/LC_MESSAGES/okular_tiff.mo
 share/locale/uk/LC_MESSAGES/okular_txt.mo
 share/locale/uk/LC_MESSAGES/okular_xps.mo
 share/locale/uk/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/vi/LC_MESSAGES/okular.mo
-share/locale/vi/LC_MESSAGES/okular_chm.mo
 share/locale/vi/LC_MESSAGES/okular_comicbook.mo
 share/locale/vi/LC_MESSAGES/okular_djvu.mo
 share/locale/vi/LC_MESSAGES/okular_dvi.mo
@@ -1206,14 +1086,12 @@ share/locale/vi/LC_MESSAGES/okular_ghostview.mo
 share/locale/vi/LC_MESSAGES/okular_kimgio.mo
 share/locale/vi/LC_MESSAGES/okular_markdown.mo
 share/locale/vi/LC_MESSAGES/okular_mobi.mo
-share/locale/vi/LC_MESSAGES/okular_plucker.mo
 share/locale/vi/LC_MESSAGES/okular_poppler.mo
 share/locale/vi/LC_MESSAGES/okular_tiff.mo
 share/locale/vi/LC_MESSAGES/okular_txt.mo
 share/locale/vi/LC_MESSAGES/okular_xps.mo
 share/locale/vi/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/wa/LC_MESSAGES/okular.mo
-share/locale/wa/LC_MESSAGES/okular_chm.mo
 share/locale/wa/LC_MESSAGES/okular_comicbook.mo
 share/locale/wa/LC_MESSAGES/okular_djvu.mo
 share/locale/wa/LC_MESSAGES/okular_epub.mo
@@ -1222,12 +1100,10 @@ share/locale/wa/LC_MESSAGES/okular_fictionbook.mo
 share/locale/wa/LC_MESSAGES/okular_ghostview.mo
 share/locale/wa/LC_MESSAGES/okular_kimgio.mo
 share/locale/wa/LC_MESSAGES/okular_mobi.mo
-share/locale/wa/LC_MESSAGES/okular_plucker.mo
 share/locale/wa/LC_MESSAGES/okular_poppler.mo
 share/locale/wa/LC_MESSAGES/okular_xps.mo
 share/locale/xh/LC_MESSAGES/okular.mo
 share/locale/zh_CN/LC_MESSAGES/okular.mo
-share/locale/zh_CN/LC_MESSAGES/okular_chm.mo
 share/locale/zh_CN/LC_MESSAGES/okular_comicbook.mo
 share/locale/zh_CN/LC_MESSAGES/okular_djvu.mo
 share/locale/zh_CN/LC_MESSAGES/okular_dvi.mo
@@ -1238,7 +1114,6 @@ share/locale/zh_CN/LC_MESSAGES/okular_ghostview.mo
 share/locale/zh_CN/LC_MESSAGES/okular_kimgio.mo
 share/locale/zh_CN/LC_MESSAGES/okular_markdown.mo
 share/locale/zh_CN/LC_MESSAGES/okular_mobi.mo
-share/locale/zh_CN/LC_MESSAGES/okular_plucker.mo
 share/locale/zh_CN/LC_MESSAGES/okular_poppler.mo
 share/locale/zh_CN/LC_MESSAGES/okular_tiff.mo
 share/locale/zh_CN/LC_MESSAGES/okular_txt.mo
@@ -1246,7 +1121,6 @@ share/locale/zh_CN/LC_MESSAGES/okular_xps.mo
 share/locale/zh_CN/LC_MESSAGES/org.kde.active.documentviewer.mo
 share/locale/zh_HK/LC_MESSAGES/okular.mo
 share/locale/zh_TW/LC_MESSAGES/okular.mo
-share/locale/zh_TW/LC_MESSAGES/okular_chm.mo
 share/locale/zh_TW/LC_MESSAGES/okular_comicbook.mo
 share/locale/zh_TW/LC_MESSAGES/okular_djvu.mo
 share/locale/zh_TW/LC_MESSAGES/okular_dvi.mo
@@ -1257,7 +1131,6 @@ share/locale/zh_TW/LC_MESSAGES/okular_ghostview.mo
 share/locale/zh_TW/LC_MESSAGES/okular_kimgio.mo
 share/locale/zh_TW/LC_MESSAGES/okular_markdown.mo
 share/locale/zh_TW/LC_MESSAGES/okular_mobi.mo
-share/locale/zh_TW/LC_MESSAGES/okular_plucker.mo
 share/locale/zh_TW/LC_MESSAGES/okular_poppler.mo
 share/locale/zh_TW/LC_MESSAGES/okular_tiff.mo
 share/locale/zh_TW/LC_MESSAGES/okular_txt.mo
@@ -1274,9 +1147,10 @@ share/man/nl/man1/okular.1.gz
 share/man/pt/man1/okular.1.gz
 share/man/pt_BR/man1/okular.1.gz
 share/man/ru/man1/okular.1.gz
+share/man/sl/man1/okular.1.gz
 share/man/sv/man1/okular.1.gz
+share/man/tr/man1/okular.1.gz
 share/man/uk/man1/okular.1.gz
-share/metainfo/org.kde.okular-chm.metainfo.xml
 share/metainfo/org.kde.okular-comicbook.metainfo.xml
 share/metainfo/org.kde.okular-djvu.metainfo.xml
 share/metainfo/org.kde.okular-dvi.metainfo.xml
@@ -1286,7 +1160,6 @@ share/metainfo/org.kde.okular-fb.metainfo.xml
 share/metainfo/org.kde.okular-kimgio.metainfo.xml
 share/metainfo/org.kde.okular-md.metainfo.xml
 share/metainfo/org.kde.okular-mobipocket.metainfo.xml
-share/metainfo/org.kde.okular-plucker.metainfo.xml
 share/metainfo/org.kde.okular-poppler.metainfo.xml
 share/metainfo/org.kde.okular-spectre.metainfo.xml
 share/metainfo/org.kde.okular-tiff.metainfo.xml
@@ -1335,4 +1208,4 @@ share/metainfo/org.kde.okular.appdata.xml
 %%DATADIR%%/pics/upleftarrow.png
 %%DATADIR%%/tools.xml
 %%DATADIR%%/toolsQuick.xml
-share/qlogging-categories5/okular.categories
+share/qlogging-categories6/okular.categories
diff --git a/graphics/skanlite/Makefile b/graphics/skanlite/Makefile
index 910e80110bed..97d4f2db36d7 100644
--- a/graphics/skanlite/Makefile
+++ b/graphics/skanlite/Makefile
@@ -8,16 +8,14 @@ WWW=		https://www.kde.org/applications/graphics/skanlite
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	libKF5Sane.so:graphics/libksane \
+LIB_DEPENDS=	libKSaneWidgets6.so:graphics/libksane \
 		libpng.so:graphics/png
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth config configwidgets codecs completion \
-		coreaddons i18n jobwidgets kio \
-		service solid widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		jobwidgets kio service solid widgetsaddons windowsystem xmlgui \
 		doctools:build ecm:build
-USE_QT=		core concurrent dbus gui network widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/graphics/skanlite/distinfo b/graphics/skanlite/distinfo
index 454742e2f3dc..0e77f07a9947 100644
--- a/graphics/skanlite/distinfo
+++ b/graphics/skanlite/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889426
-SHA256 (KDE/release-service/23.08.5/skanlite-23.08.5.tar.xz) = 667aca4dc89798f5a76c62c8f781d21102381b61d433942802cadf931f080dba
-SIZE (KDE/release-service/23.08.5/skanlite-23.08.5.tar.xz) = 2452072
+TIMESTAMP = 1734460223
+SHA256 (KDE/release-service/24.12.0/skanlite-24.12.0.tar.xz) = e4f9850fc9b9cecd04d695abe87cbf91a32b0ee58bf56ccdf13470727ab322e6
+SIZE (KDE/release-service/24.12.0/skanlite-24.12.0.tar.xz) = 2390876
diff --git a/graphics/skanlite/pkg-plist b/graphics/skanlite/pkg-plist
index cd8a3d725cc1..5a470ae72ac2 100644
--- a/graphics/skanlite/pkg-plist
+++ b/graphics/skanlite/pkg-plist
@@ -53,6 +53,8 @@ share/doc/HTML/pt_BR/skanlite/index.cache.bz2
 share/doc/HTML/pt_BR/skanlite/index.docbook
 share/doc/HTML/ru/skanlite/index.cache.bz2
 share/doc/HTML/ru/skanlite/index.docbook
+share/doc/HTML/sl/skanlite/index.cache.bz2
+share/doc/HTML/sl/skanlite/index.docbook
 share/doc/HTML/sv/skanlite/index.cache.bz2
 share/doc/HTML/sv/skanlite/index.docbook
 share/doc/HTML/uk/skanlite/buttons-main.png
@@ -71,7 +73,7 @@ share/doc/HTML/uk/skanlite/scanning.png
 share/doc/HTML/uk/skanlite/settings.png
 share/doc/HTML/uk/skanlite/zoom-in.png
 share/doc/HTML/uk/skanlite/zoom-to-fit.png
-share/icons/hicolor/48x48/apps/org.kde.skanlite.svg
+share/icons/hicolor/scalable/apps/org.kde.skanlite.svg
 share/locale/ar/LC_MESSAGES/skanlite.mo
 share/locale/az/LC_MESSAGES/skanlite.mo
 share/locale/be/LC_MESSAGES/skanlite.mo
@@ -92,6 +94,7 @@ share/locale/fi/LC_MESSAGES/skanlite.mo
 share/locale/fr/LC_MESSAGES/skanlite.mo
 share/locale/ga/LC_MESSAGES/skanlite.mo
 share/locale/gl/LC_MESSAGES/skanlite.mo
+share/locale/he/LC_MESSAGES/skanlite.mo
 share/locale/hi/LC_MESSAGES/skanlite.mo
 share/locale/hr/LC_MESSAGES/skanlite.mo
 share/locale/hu/LC_MESSAGES/skanlite.mo
diff --git a/graphics/skanpage/Makefile b/graphics/skanpage/Makefile
index 094253727972..4aa654954e20 100644
--- a/graphics/skanpage/Makefile
+++ b/graphics/skanpage/Makefile
@@ -10,19 +10,24 @@ WWW=		https://invent.kde.org/utilities/skanpage
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/LICENSES/GPL-3.0-only.txt
 
-BUILD_DEPENDS=	kquickimageeditor>=0:graphics/kquickimageeditor
-RUN_DEPENDS=	kquickimageeditor>=0:graphics/kquickimageeditor
+BUILD_DEPENDS=	kquickimageeditor-qt6>=0:graphics/kquickimageeditor@qt6
+RUN_DEPENDS=	kquickimageeditor-qt6>=0:graphics/kquickimageeditor@qt6
 
-LIB_DEPENDS=	libKSaneCore.so:graphics/ksanecore \
+LIB_DEPENDS=	libKSaneCore6.so:graphics/ksanecore \
 		libpng.so:graphics/png
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth config configwidgets codecs completion \
-		coreaddons crash i18n jobwidgets kio kirigami2 purpose \
-		service widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
+		i18n jobwidgets kio kirigami2 purpose service widgetsaddons \
+		xmlgui \
 		doctools:build ecm:build
-USE_QT=		core concurrent dbus declarative gui network printsupport \
-		quickcontrols2 widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base pdf
+
+OPTIONS_DEFINE=	OCR
+OPTIONS_DEFAULT=	OCR
+
+OCR_DESC=	Text recognition via Tesseract OCR
+OCR_LIB_DEPENDS=	libleptonica.so:graphics/leptonica \
+			libtesseract.so:graphics/tesseract
 
 .include <bsd.port.mk>
diff --git a/graphics/skanpage/distinfo b/graphics/skanpage/distinfo
index 6e113a54d75c..181cb8ddf1a3 100644
--- a/graphics/skanpage/distinfo
+++ b/graphics/skanpage/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889427
-SHA256 (KDE/release-service/23.08.5/skanpage-23.08.5.tar.xz) = 38e2300e1466c43bb531989c29d11221ebcaa2e3e8bb062a814c1f03270b72bb
-SIZE (KDE/release-service/23.08.5/skanpage-23.08.5.tar.xz) = 1317292
+TIMESTAMP = 1734460225
+SHA256 (KDE/release-service/24.12.0/skanpage-24.12.0.tar.xz) = 9fa176b2adfd6a1031f985ce727b7d44341c56e7933d06b0439c0fc76e9e3174
+SIZE (KDE/release-service/24.12.0/skanpage-24.12.0.tar.xz) = 1337600
diff --git a/graphics/skanpage/pkg-plist b/graphics/skanpage/pkg-plist
index f5f68712f52b..6d2aae5515a2 100644
--- a/graphics/skanpage/pkg-plist
+++ b/graphics/skanpage/pkg-plist
@@ -3,6 +3,7 @@ share/applications/org.kde.skanpage.desktop
 share/icons/hicolor/48x48/apps/skanpage.png
 share/icons/hicolor/scalable/apps/skanpage.svg
 share/locale/ar/LC_MESSAGES/skanpage.mo
+share/locale/ast/LC_MESSAGES/skanpage.mo
 share/locale/az/LC_MESSAGES/skanpage.mo
 share/locale/be/LC_MESSAGES/skanpage.mo
 share/locale/bg/LC_MESSAGES/skanpage.mo
@@ -12,10 +13,13 @@ share/locale/cs/LC_MESSAGES/skanpage.mo
 share/locale/de/LC_MESSAGES/skanpage.mo
 share/locale/el/LC_MESSAGES/skanpage.mo
 share/locale/en_GB/LC_MESSAGES/skanpage.mo
+share/locale/eo/LC_MESSAGES/skanpage.mo
 share/locale/es/LC_MESSAGES/skanpage.mo
 share/locale/eu/LC_MESSAGES/skanpage.mo
 share/locale/fi/LC_MESSAGES/skanpage.mo
 share/locale/fr/LC_MESSAGES/skanpage.mo
+share/locale/gl/LC_MESSAGES/skanpage.mo
+share/locale/he/LC_MESSAGES/skanpage.mo
 share/locale/hu/LC_MESSAGES/skanpage.mo
 share/locale/ia/LC_MESSAGES/skanpage.mo
 share/locale/id/LC_MESSAGES/skanpage.mo
@@ -25,7 +29,9 @@ share/locale/ja/LC_MESSAGES/skanpage.mo
 share/locale/ka/LC_MESSAGES/skanpage.mo
 share/locale/ko/LC_MESSAGES/skanpage.mo
 share/locale/lt/LC_MESSAGES/skanpage.mo
+share/locale/lv/LC_MESSAGES/skanpage.mo
 share/locale/nl/LC_MESSAGES/skanpage.mo
+share/locale/pa/LC_MESSAGES/skanpage.mo
 share/locale/pl/LC_MESSAGES/skanpage.mo
 share/locale/pt/LC_MESSAGES/skanpage.mo
 share/locale/pt_BR/LC_MESSAGES/skanpage.mo
@@ -38,4 +44,4 @@ share/locale/uk/LC_MESSAGES/skanpage.mo
 share/locale/zh_CN/LC_MESSAGES/skanpage.mo
 share/locale/zh_TW/LC_MESSAGES/skanpage.mo
 share/metainfo/org.kde.skanpage.appdata.xml
-share/qlogging-categories5/skanpage.categories
+share/qlogging-categories6/skanpage.categories
